import { VxeUI } from "../../../@vxe-ui/core/es/index.esm.mjs";
import VxeTableSelectComponent from "./src/table-select.mjs";
import { dynamicApp } from "../dynamics/index.mjs";
const VxeTableSelect = Object.assign({}, VxeTableSelectComponent, {
  install(app) {
    app.component(VxeTableSelectComponent.name, VxeTableSelectComponent);
  }
});
dynamicApp.use(VxeTableSelect);
VxeUI.component(VxeTableSelectComponent);
const TableSelect = VxeTableSelect;
export {
  TableSelect,
  VxeTableSelect,
  VxeTableSelect as default
};
